Package org.gradle.plugins.ear.descriptor

# Interface EarWebModule

All Superinterfaces:
  `EarModule`

public interface EarWebModule extends EarModule
A module element in a deployment descriptor like application.xml that has a web child element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getContextRoot()`
  The context-root element specifies the context root of a web application.
  `void`
  `setContextRoot(String contextRoot)`

  ### Methods inherited from interface org.gradle.plugins.ear.descriptor.EarModule

  `getAltDeployDescriptor, getPath, setAltDeployDescriptor, setPath, toXmlNode`

- ## Method Details

  - ### getContextRoot

    String getContextRoot()
    The context-root element specifies the context root of a web application.

  - ### setContextRoot

    void setContextRoot(String contextRoot)